Bug 250416 - Review Request: guile-lib - A repository of useful code written in Guile Scheme
Review Request: guile-lib - A repository of useful code written in Guile Scheme
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-01 10:01 EDT by Xavier Lamien
Modified: 2014-07-03 08:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-02 16:42:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Xavier Lamien 2007-08-01 10:01:56 EDT
Spec URL: http://laxathom.fedorapeople.org/RPMS/guile-lib/guile-lib.spec
SRPM URL: http://laxathom.fedorapeople.org/RPMS/guile-lib/guile-lib-0.1.4-3.fc8.src.rpm

Description: 
Guile-Lib is intended as an accumulation place for pure-scheme
Guile modules, allowing for people to cooperate integrating
their generic Guile modules into a coherent library.
Think "a down-scaled, limited-scope CPAN for Guile".
Comment 1 Mamoru TASAKA 2007-08-01 13:14:24 EDT
For 0.1.4-3:

* Currently this package does not require guile, however
  only guile seems to own /usr/share/guile/site/

* Timestamps are not kept. For this package the following
  works.
--------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT CPPROG="cp -p"
--------------------------------------------------
Comment 2 Xavier Lamien 2007-08-01 17:00:08 EDT
> Currently this package does not require guile, however
> only guile seems to own /usr/share/guile/site/

Right !


> --------------------------------------------------
> make install DESTDIR=$RPM_BUILD_ROOT CPPROG="cp -p"
> --------------------------------------------------

Doesn't seem to work well.
Could you upload somewhere your build.log please ?

Comment 3 Mamoru TASAKA 2007-08-02 10:34:42 EDT
(In reply to comment #2)
> > --------------------------------------------------
> > make install DESTDIR=$RPM_BUILD_ROOT CPPROG="cp -p"
> > --------------------------------------------------
> 
> Doesn't seem to work well.
> Could you upload somewhere your build.log please ?

Well, actually compare the result (the created noarch.rpm) of
http://koji.fedoraproject.org/koji/taskinfo?taskID=84723
http://koji.fedoraproject.org/koji/taskinfo?taskID=85822

The build log shows no different, but the timestamps actually
change. This is because the build log says:
----------------------------------------------------------------
/bin/sh /builddir/build/BUILD/guile-lib-0.1.4/install-sh -c -m 644
'config/load.scm'
'/var/tmp/guile-lib-0.1.4-3.fc8.1-root-kojibuilder/usr/share/guile/site/config/load.scm'
-----------------------------------------------------------------
for example, and in install-sh, CPPROG is used (so please check
the contents of install-sh).

Comment 4 Xavier Lamien 2007-08-02 11:10:55 EDT
yep, it's not show up by the build process.

Ok,
Spec URL: http://laxathom.fedorapeople.org/RPMS/guile-lib/guile-lib.spec
SRPM URL:
http://laxathom.fedorapeople.org/RPMS/guile-lib/guile-lib-0.1.4-4.fc8.src.rpm

Comment 5 Mamoru TASAKA 2007-08-02 11:19:52 EDT
Okay.

--------------------------------------------------------
  This package (guile-lib) is APPROVED by me
--------------------------------------------------------
Comment 6 Xavier Lamien 2007-08-02 13:14:58 EDT
New Package CVS Request
=======================
Package Name: guile-lib
Short Description: A repository of useful code written in Guile Scheme
Owners: lxtnow@gmail.com
Branches: FC-6 F-7 EL-4 EL-5 Devel
InitialCC:
Comment 7 Kevin Fenzi 2007-08-02 15:58:51 EDT
cvs done.
Comment 8 Xavier Lamien 2007-08-02 16:42:32 EDT
Imported and Built.
Thanks all.
Comment 9 Christopher Meng 2014-07-02 23:57:51 EDT
Package Change Request
======================
Package Name: guile-lib
New Branches: f20
Owners: cicku
Comment 10 Jon Ciesla 2014-07-03 07:50:47 EDT
Branch exists.  Ownership should be handled in pkgdb.
Comment 11 Christopher Meng 2014-07-03 07:58:11 EDT
The f20 branch owner is nonresponsive, I can't get the commit ACL.
Comment 12 Jon Ciesla 2014-07-03 08:18:41 EDT
Is there a FESCO ticket?
Comment 13 Christopher Meng 2014-07-03 08:25:50 EDT
(In reply to Jon Ciesla from comment #12)
> Is there a FESCO ticket?

No, I get the ownership from Till via mailing list. This package is also broken on f20.
Comment 14 Jon Ciesla 2014-07-03 08:33:09 EDT
Have till orphan it.

Note You need to log in before you can comment on or make changes to this bug.